# $Revision: 1.11.2.1 $, $Date: 2007/03/05 12:04:13 $
Summary:	ecawave - graphical audio file editor
Summary(pl):	ecawave - graficzny edytor plikw dwikowych
Name:		ecawave
Version:	0.6.1
Release:	6
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://ecasound.seul.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	19bbd69d52debe851fbfda4438aa5535
URL:		http://www.eca.cx/ecawave/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	ecasound-devel >= 2.2.0
BuildRequires:	libtool
BuildRequires:	qt-devel
Requires:	ecasound >= 2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ecawave is a simple graphical audio file editor. The user-interface is
based on Qt libraries, while almost all audio functionality is taken
directly from ecasound libraries. As ecawave is designed for editing
large audio files, all processing is done direct-to-disk. Simple
waveform caching is used to speed-up file operations. Ecawave supports
all audio file formats and effect algorithms provided by ecasound
libraries. This includes JACK, ALSA, OSS, aRts audio I/O (depending on
ecasound build options), over 20 file formats, over 30 effect types,
LADSPA plugins and multi-operator effect presets.

%description -l pl
ecawave to prosty graficzny edytor plikw dwikowych. Interfejs
uytkownika bazuje na bibliotekach Qt, natomiast prawie caa
funkcjonalno zwizana z dwikiem pochodzi bezporednio z bibliotek
ecasound. Poniewa ecawave jest przeznaczony do edycji duych plikw
dwikowych, cae przetwarzanie jest wykonywane bezporednio na dysk.
Wykorzystywane jest proste buforowanie prbek, aby przyspieszy
operacje na plikach. ecawave obsuguje wszystkie formaty plikw
dwikowych i algorytmy efektw udostpnione przez biblioteki
ecasound. Obejmuje to wejcie/wyjcie dwiku JACK, ALSA, OSS i aRts
(zalenie od opcji, z jakimi byo zbudowane ecasound), ponad 20
formatw plikw, ponad 30 typw efektw, wtyczki LADSPA oraz
ustawienia efektu multi-operator.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--with-qt-libraries=/usr/%{_lib} \
	--with-qt-includes=%{_includedir}/qt

%{__make} \
	qt_libname="qt-mt"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS NEWS README TODO Documentation/users_guide.html
%attr(755,root,root) %{_bindir}/ecawave
%{_mandir}/man1/ecawave.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ecawave.spec,v $
Revision 1.11.2.1  2007/03/05 12:04:13  hawk
- release 6

Revision 1.11  2005/10/02 22:22:05  arekm
- rel 5; libtoolize

Revision 1.10  2005/10/02 20:00:09  arekm
- rel 4

Revision 1.9  2005/06/20 06:56:37  megabajt
- added URL

Revision 1.8  2004/08/31 04:51:02  snurf
- typo / formatting / etc.

Revision 1.7  2004/01/18 22:15:05  undefine
- ukhm... not /usr/X11R6/lib64, but /usr/lib64... but works anyway ;)

Revision 1.6  2004/01/18 21:34:08  undefine
- release 3, ac/am...

Revision 1.5  2003/09/07 13:34:17  qboosh
- release 2: link with qt-mt

Revision 1.4  2003/07/26 01:05:31  qboosh
- 0.6.1

Revision 1.3  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/10 20:14:46  qboosh
- new

* Thu Oct 17 2002 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- Added BuildPreReq tag.

* Sun Jun 17 2001 Kai Vehmanen <kaiv@wakkanet.fi>
- Removed dependency to libqtecasound.
- Pre- and post-install scripts for modifying
  /etc/ld.so.conf dropped as unnecessary.

* Thu Aug 31 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Added /etc/ld.so.conf modification script.
- Added DESTDIR to %install.

* Thu Jan 27 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Initial RPM-release.
